%define anolis_release 2

Summary: A binary file delta generator
Name:    xdelta
Version: 3.1.0
Release: %{anolis_release}%{?dist}
License: ASL 2.0
Source0: https://github.com/jmacd/xdelta-gpl/releases/download/v%{version}/xdelta3-%{version}.tar.gz
URL: http://xdelta.org/

BuildRequires: make
BuildRequires: gcc, gcc-c++
BuildRequires: ncompress
BuildRequires: xz-devel

%description
Xdelta (X for XCF: the eXperimental Computing Facility at Berkeley) is
a binary delta generator (like a diff program for binaries) and an RCS
version control replacement library. Xdelta uses a binary file delta
algorithm to replace the standard diff program used by RCS

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n %{name}3-%{version}

%build
%configure
%make_build V=0

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1

install -m755 xdelta3 $RPM_BUILD_ROOT/%{_bindir}
install -m 644 xdelta3.1 $RPM_BUILD_ROOT/%{_mandir}/man1

# Create compat symlinks
pushd $RPM_BUILD_ROOT/%{_bindir}
ln -s xdelta3 xdelta
popd

pushd $RPM_BUILD_ROOT/%{_mandir}/man1
ln -s xdelta3.1 xdelta.1
popd

%generate_compatibility_deps

%check
./xdelta3 test

%files
%{_bindir}/xdelta*
%{_mandir}/man1/xdelta*

%files doc
%doc README.md COPYING

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 3.1.0-2
- Rebuild for remove inappropriate build dependencies.

* Thu Mar 16 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 3.1.0-1
- Init from upstream
